import { defineStore } from 'pinia'
import { ref } from 'vue'
import { getVersion } from '@/api/system'

export const useSystem = defineStore('system', 
  () => {
    const systemInfo = ref({
      timeDifference: undefined, // 服务器时间 - 浏览器时间
      beijingTimestamp: 0
    })

    const setTimeDifference = (Difference) => {
      systemInfo.value.timeDifference = Number(Difference) || 0
    }

    const getTimeDifference = async () => {
      try {
        const res = await getVersion()
        const time = res?.data?.time
        const _now = new Date().getTime()
        const _tem = time - _now
        return _tem
      } catch (err) {
        console.log('getTimeDifference-err:', err)
      }
    }

    return {
      systemInfo,
      setTimeDifference,
      getTimeDifference
    }
  }
)